# Enum Encryption

java.lang.Object
java.lang.Enum<Encryption>
org.apache.tomcat.util.net.openssl.ciphers.Encryption

All Implemented Interfaces:
  `Serializable, Comparable<Encryption>, java.lang.constant.Constable`

public enum Encryption extends Enum<Encryption>
Enumerates the encryption algorithms supported by OpenSSL cipher suites.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AES128`
AES with 128-bit key.
`AES128CCM`
AES with 128-bit key in CCM mode.
`AES128CCM8`
AES with 128-bit key in CCM mode with 8-byte tag.
`AES128GCM`
AES with 128-bit key in GCM mode.
`AES256`
AES with 256-bit key.
`AES256CCM`
AES with 256-bit key in CCM mode.
`AES256CCM8`
AES with 256-bit key in CCM mode with 8-byte tag.
`AES256GCM`
AES with 256-bit key in GCM mode.
`ARIA128GCM`
ARIA with 128-bit key in GCM mode.
`ARIA256GCM`
ARIA with 256-bit key in GCM mode.
`CAMELLIA128`
Camellia with 128-bit key.
`CAMELLIA256`
Camellia with 256-bit key.
`CHACHA20POLY1305`
ChaCha20-Poly1305 AEAD cipher.
`DES`
DES encryption.
`eGOST2814789CNT`
GOST 28147-89 with_CNT keyed hash.
`eNULL`
No encryption (NULL cipher).
`FZA`
FZA encryption.
`IDEA`
IDEA encryption.
`RC2`
RC2 encryption.
`RC4`
RC4 stream cipher.
`SEED`
SEED encryption.
`TRIPLE_DES`
Triple DES encryption.

## Method Summary

Modifier and Type
Method
Description
`static Encryption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Encryption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AES128

public static final Encryption AES128
AES with 128-bit key.

### AES128CCM

public static final Encryption AES128CCM
AES with 128-bit key in CCM mode.

### AES128CCM8

public static final Encryption AES128CCM8
AES with 128-bit key in CCM mode with 8-byte tag.

### AES128GCM

public static final Encryption AES128GCM
AES with 128-bit key in GCM mode.

### AES256

public static final Encryption AES256
AES with 256-bit key.

### AES256CCM

public static final Encryption AES256CCM
AES with 256-bit key in CCM mode.

### AES256CCM8

public static final Encryption AES256CCM8
AES with 256-bit key in CCM mode with 8-byte tag.

### AES256GCM

public static final Encryption AES256GCM
AES with 256-bit key in GCM mode.

### ARIA128GCM

public static final Encryption ARIA128GCM
ARIA with 128-bit key in GCM mode.

### ARIA256GCM

public static final Encryption ARIA256GCM
ARIA with 256-bit key in GCM mode.

### CAMELLIA256

public static final Encryption CAMELLIA256
Camellia with 256-bit key.

### CAMELLIA128

public static final Encryption CAMELLIA128
Camellia with 128-bit key.

### CHACHA20POLY1305

public static final Encryption CHACHA20POLY1305
ChaCha20-Poly1305 AEAD cipher.

### TRIPLE_DES

public static final Encryption TRIPLE_DES
Triple DES encryption.

### DES

public static final Encryption DES
DES encryption.

### IDEA

public static final Encryption IDEA
IDEA encryption.

### eGOST2814789CNT

public static final Encryption eGOST2814789CNT
GOST 28147-89 with_CNT keyed hash.

### SEED

public static final Encryption SEED
SEED encryption.

### FZA

public static final Encryption FZA
FZA encryption.

### RC4

public static final Encryption RC4
RC4 stream cipher.

### RC2

public static final Encryption RC2
RC2 encryption.

### eNULL

public static final Encryption eNULL
No encryption (NULL cipher).

## Method Details

### values

public static Encryption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Encryption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null